---
updatedAt: 2026-09-21T11:38:10.000Z
agentTools:
  projectIndex: https://developers-classic.mailerlite.com/llms.txt
---

# /subscribers/(:id or :email)

Update single subscriber [Rate limited]

[block:api-header]
{
  "type": "basic",
  "title": "Response Body Parameters"
}
[/block]

Response contains [Single Subscriber](https://developers-classic.mailerlite.com/docs/single-subscriber) objects.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2-production",
    "version": "2"
  },
  "servers": [
    {
      "url": "https://api.mailerlite.com/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-MailerLite-ApiKey",
        "in": "header",
        "x-default": "your api key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/subscribers/{identifier}": {
      "put": {
        "summary": "/subscribers/(:id or :email)",
        "description": "Update single subscriber [Rate limited]",
        "operationId": "update-subscriber",
        "parameters": [
          {
            "name": "identifier",
            "in": "path",
            "description": "ID or email of subscriber",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "name": {
                    "type": "string",
                    "description": "Subscriber's name"
                  },
                  "type": {
                    "type": "string",
                    "description": "Available values: unsubscribed, active",
                    "default": "null"
                  },
                  "fields": {
                    "type": "object",
                    "description": "object that contains your custom fields. i.e. company, city, state, etc.",
                    "properties": {
                      "company": {
                        "type": "string"
                      },
                      "city": {
                        "type": "string"
                      }
                    }
                  },
                  "resend_autoresponders": {
                    "type": "boolean",
                    "description": "Defines if it is needed to resend autoresponders",
                    "default": false
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"id\": 1343965485,\n  \"email\": \"demo@mailerlite.com\",\n  \"sent\": 0,\n  \"opened\": 0,\n  \"clicked\": 0,\n  \"type\": \"unsubscribed\",\n  \"fields\": [\n    {\n      \"key\": \"email\",\n      \"value\": \"demo@mailerlite.com\",\n      \"type\": \"TEXT\"\n    },\n    {\n      \"key\": \"name\",\n      \"value\": \"Demo\",\n      \"type\": \"TEXT\"\n    },\n    {\n      \"key\": \"last_name\",\n      \"value\": \"\",\n      \"type\": \"TEXT\"\n    },\n    {\n      \"key\": \"company\",\n      \"value\": \"\",\n      \"type\": \"TEXT\"\n    },\n    {\n      \"key\": \"country\",\n      \"value\": \"\",\n      \"type\": \"TEXT\"\n    },\n    {\n      \"key\": \"city\",\n      \"value\": \"\",\n      \"type\": \"TEXT\"\n    },\n    {\n      \"key\": \"phone\",\n      \"value\": \"\",\n      \"type\": \"TEXT\"\n    },\n    {\n      \"key\": \"state\",\n      \"value\": \"\",\n      \"type\": \"TEXT\"\n    },\n    {\n      \"key\": \"zip\",\n      \"value\": \"\",\n      \"type\": \"TEXT\"\n    }\n  ],\n  \"date_subscribe\": null,\n  \"date_unsubscribe\": \"2016-04-04 12:07:26\",\n  \"date_created\": \"2016-04-04\",\n  \"date_updated\": null\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "example": 1343965485,
                      "default": 0
                    },
                    "email": {
                      "type": "string",
                      "example": "demo@mailerlite.com"
                    },
                    "sent": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "opened": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "clicked": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "type": {
                      "type": "string",
                      "example": "unsubscribed"
                    },
                    "fields": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "key": {
                            "type": "string",
                            "example": "email"
                          },
                          "value": {
                            "type": "string",
                            "example": "demo@mailerlite.com"
                          },
                          "type": {
                            "type": "string",
                            "example": "TEXT"
                          }
                        }
                      }
                    },
                    "date_subscribe": {},
                    "date_unsubscribe": {
                      "type": "string",
                      "example": "2016-04-04 12:07:26"
                    },
                    "date_created": {
                      "type": "string",
                      "example": "2016-04-04"
                    },
                    "date_updated": {}
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -X PUT https://api.mailerlite.com/api/v2/subscribers/22348 \\\n-d '{\"type\": \"unsubscribed\", \"fields\": {\"name\": \"Demo\", \"company\": \"MailerLite\"}}' \\\n-H \"Content-Type: application/json\" \\\n-H \"X-MailerLite-ApiKey: 12a1b1234abcd123123a1231234a1ab2\""
            },
            {
              "language": "php",
              "code": "<?php\n$subscribersApi = (new \\MailerLiteApi\\MailerLite('your-api-key'))->subscribers();\n\n// change type of subscriber\n$subscriberId = 132;\n$subscriberData = [\n  'type' => 'unsubscribed',\n];\n\n$subscriber = $subscribersApi->update($subscriberId, $subscriberData); // returns object of updated subscriber\n\n// change fields of subscriber\n$subscriberEmail = 'johndoe@mailerlite.com';\n$subscriberData = [\n  'fields' => [\n    'name' => 'John',\n   \t'company' => 'MailerLite'\n  ]\n];\n\n$subscriber = $subscribersApi->update($subscriberEmail, $subscriberData); // returns object of updated subscriber"
            }
          ],
          "samples-languages": [
            "curl",
            "php"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "X-MailerLite-ApiDocs",
        "value": "true"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```